<?php


function IsExist($path)
{
	if(is_dir($path))
	{
		return true;
	}
	else
	{
		return false;
	}
}

function _NextIndex(int $_guid) 
{
	$isSExist=IsExist('userdata/'.$_guid);
	if($isSExist==true)
	{
		//echo "exist";
		do {
			$_guid=$_guid+1;
			$isSExist=IsExist('userdata/'.$_guid);
		} while ( $isSExist==  true);	
	}
	
	return $_guid;
}


$guid="305";
echo _NextIndex($guid);

?>